#include <iostream>
using namespace std;


int main(){
	
	int n,max=0,p,x;
	cin>>n;
	int a[n];
	bool z;
	
	for(int i=0;i<n;i++){
		cin>>a[i];
		if(a[i]>max){
			max=a[i];
			x=i;
		}
	}
	
	if(max!=a[0]){
		p=a[0];
		a[0]=max;
		a[x]=p;
		for(int i=0;i<n;i++)
			cout<<a[i]<<" ";
		return 0;
	}
	
	if(n==2){
		cout<<a[1]<<" "<<a[0];
		return 0;
	}
	
	for(int i=1;i<n;i++){
		if(a[i]>a[i-1]){
			max=0;
			for(int j=i-1;j<n;j++){
				if(a[j]>max){
					max=a[j];
					x=j;
					z=true;
				}
			}
			if(z==true){
				p=a[i-1];
				a[i-1]=max;
				a[x]=p;	
				for(int i=0;i<n;i++)
					cout<<a[i]<<" ";
				return 0;
			}
		}
		else
			p=a[n-2];
			a[n-2]=a[n-1];
			a[n-1]=p;
			for(int i=0;i<n;i++)
				cout<<a[i]<<" ";
			return 0;
		
	}

	
	
	
	return 0;
}